Programming Libraries that broke with Snow Leopard

Discussion in 'Mac Programming' started by wrldwzrd89, Sep 2, 2009.

  1. wrldwzrd89 macrumors G5

    wrldwzrd89

    Joined:
    Jun 6, 2003
    Location:
    Solon, OH
    #1
    There's only one I know of, but it's pretty darn significant - SDL (Simple DirectMedia Layer). This means all applications and games based on it (version 1.2.x or earlier) do NOT work on Snow Leopard - the library doesn't even compile on Snow Leopard either. The 1.3 version of SDL, which is in development, should fix this incompatibility problem, but I don't know when that will be released.
     
  2. Muncher macrumors 65816

    Muncher

    Joined:
    Apr 19, 2007
    Location:
    California
    #2
    That's disturbing. I use SDL for rapid prototyping and testing ideas. 1.3 probably won't be out anytime soon, and SDL 1.3 has been in development for a while. :( I guess you could pull 1.3 code from SVN, but it's not too stable.
     
  3. Catfish_Man macrumors 68030

    Catfish_Man

    Joined:
    Sep 13, 2001
    Location:
    Portland, OR
    #3
    This is a tool rather than a library: valgrind.
     

Share This Page